using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Performance.DtoModels;

namespace Performance.Api.Controllers
{
    [ApiController]
    public class NotFoundController : ControllerBase
    {
        [Route("error/404")]
        [HttpGet]
        [AllowAnonymous]
        public ActionResult<ApiResponse> Get()
        {
            return new ApiResponse(ResponseType.NotFound, "not found");
        }
    }
}